<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>EDMA3 Resource Manager: EDMA3_RM_ChBoundResources Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.9 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="classes.html"><span>Data&nbsp;Structure&nbsp;Index</span></a></li>
      <li><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>EDMA3_RM_ChBoundResources Struct Reference<br>
<small>
[<a class="el" href="group__Edma3ResMgrInt.html">Internal Interface Definition for Resource Manager</a>]</small>
</h1><!-- doxytag: class="EDMA3_RM_ChBoundResources" -->EDMA3 Channel-Bound resources.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="edma3resmgr_8h_source.html">edma3resmgr.h</a>&gt;</code>
<p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structEDMA3__RM__ChBoundResources.html#be7b47232db77c8ed3ce9487ca8f658f">paRAMId</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structEDMA3__RM__ChBoundResources.html#c312830c57f5f44cc9ce7eb86513ae7d">tcc</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
EDMA3 Channel-Bound resources. 
<p>
Used to maintain information of the EDMA3 resources (specifically Parameter RAM set and TCC), bound to the particular channel within EDMA3_RM_allocLogicalChannel (). <hr><h2>Field Documentation</h2>
<a class="anchor" name="be7b47232db77c8ed3ce9487ca8f658f"></a><!-- doxytag: member="EDMA3_RM_ChBoundResources::paRAMId" ref="be7b47232db77c8ed3ce9487ca8f658f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structEDMA3__RM__ChBoundResources.html#be7b47232db77c8ed3ce9487ca8f658f">EDMA3_RM_ChBoundResources::paRAMId</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
PaRAM Set number associated with the particular channel 
<p>Referenced by <a class="el" href="edma3resmgr_8c_source.html#l02086">EDMA3_RM_allocLogicalChannel()</a>, <a class="el" href="edma3resmgr_8c_source.html#l00358">EDMA3_RM_create()</a>, <a class="el" href="edma3resmgr_8c_source.html#l02715">EDMA3_RM_freeLogicalChannel()</a>, <a class="el" href="edma3resmgr_8c_source.html#l05006">EDMA3_RM_getPaRAM()</a>, <a class="el" href="edma3resmgr_8c_source.html#l05179">EDMA3_RM_getPaRAMPhyAddr()</a>, and <a class="el" href="edma3resmgr_8c_source.html#l04842">EDMA3_RM_setPaRAM()</a>.</p>

</div>
</div><p>
<a class="anchor" name="c312830c57f5f44cc9ce7eb86513ae7d"></a><!-- doxytag: member="EDMA3_RM_ChBoundResources::tcc" ref="c312830c57f5f44cc9ce7eb86513ae7d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="structEDMA3__RM__ChBoundResources.html#c312830c57f5f44cc9ce7eb86513ae7d">EDMA3_RM_ChBoundResources::tcc</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
TCC associated with the particular channel 
<p>Referenced by <a class="el" href="edma3resmgr_8c_source.html#l02086">EDMA3_RM_allocLogicalChannel()</a>, <a class="el" href="edma3resmgr_8c_source.html#l00358">EDMA3_RM_create()</a>, and <a class="el" href="edma3resmgr_8c_source.html#l02715">EDMA3_RM_freeLogicalChannel()</a>.</p>

</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="edma3resmgr_8h_source.html">edma3resmgr.h</a></ul>
</div>
<hr size="1"><address style="text-align: right;"><small>Generated on Tue Jul 7 19:26:49 2009 for EDMA3 Resource Manager by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.9 </small></address>
</body>
</html>
